%global __requires_exclude pythonegg\\(3\\)\\(ipaddress|pythonegg\\(3\\)\\(backports.ssl-match-hostname

%define pypi_name docker-py

Name:           python-%{pypi_name}
Version:        1.10.6
Release:        %mkrel 1
Summary:        An API client for docker written in Python
License:        Apache Software License
Group:          Development/Python
URL:            http://www.docker.com
Source0:        https://github.com/docker/%{pypi_name}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(pytools)
BuildRequires:  pythonegg(2)(websocket-client) >= 0.11.0
BuildRequires:  pythonegg(2)(requests)
BuildRequires:  docker

Requires:       docker

%description
A Python 2 interface to Docker.

%package -n     python3-%{pypi_name}
Summary:        An API client for docker written in Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(pytools)
BuildRequires:  pythonegg(3)(websocket-client) >= 0.11.0
BuildRequires:  pythonegg(3)(requests)
Requires:       docker

%description -n python3-%{pypi_name}
A Python 3 interface to Docker.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf docker_py.egg-info

cp -a . %{py3dir}

pushd %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
popd

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc LICENSE README.md
%{python2_sitelib}/docker/
%{python2_sitelib}/docker_py-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{pypi_name}
%doc LICENSE README.md
%{python3_sitelib}/docker/
%{python3_sitelib}/docker_py-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Nov 23 2016 bcornec <bcornec> 1.10.6-1.mga6
+ Revision: 1069369
- Update to upstream 0.10.6 for docker-compose 1.9.0

* Fri Aug 26 2016 bcornec <bcornec> 1.9.0-1.mga6
+ Revision: 1048964
- Update to upstream python-docker-py 1.9.0

  + daviddavid <daviddavid>
    - use a named-versionned tarball from github

* Mon May 23 2016 daviddavid <daviddavid> 1.8.1-5.mga6
+ Revision: 1018072
- filter out invalid python3 deps
- remove unnecessary hard requires who are already auto-required

* Mon May 23 2016 bcornec <bcornec> 1.8.1-4.mga6
+ Revision: 1017998
- docker is not restricted to x86_64 anymore so is this one

* Mon May 23 2016 bcornec <bcornec> 1.8.1-3.mga6
+ Revision: 1017986
- Fix a wrong dep name

* Mon May 23 2016 bcornec <bcornec> 1.8.1-2.mga6
+ Revision: 1017978
- bump rel
- python-docker-py should only be built on x86_64 but is noarch
- Update to upstream 1.8.1 (from github) and as it wan't building, removed the restriction on arch for now

* Sun May 22 2016 tv <tv> 1.6.0-2.mga6
+ Revision: 1017557
- force build on x86_64 due to deps issues on i586
- build on all arch (fix python-docker-scripts deps)
- make it noarch

* Thu Dec 17 2015 daviddavid <daviddavid> 1.6.0-1.mga6
+ Revision: 911230
- new version: 1.6.0

* Wed Nov 25 2015 daviddavid <daviddavid> 1.5.0-1.mga6
+ Revision: 906025
- new version: 1.5.0
- use new python macros

* Thu Oct 08 2015 tv <tv> 1.3.0-2.mga6
+ Revision: 887538
- rebuild for python 3.5

* Mon Jul 20 2015 joequant <joequant> 1.3.0-1.mga6
+ Revision: 855603
- upgrade to 1.3.0

* Tue Feb 24 2015 bcornec <bcornec> 1.0.0-1.mga6
+ Revision: 816771
- Update to upstream 1.0.0

* Thu Jan 22 2015 bcornec <bcornec> 0.5.3-2.mga5
+ Revision: 811839
- docker-io => docker

* Sun Dec 28 2014 juancho <juancho> 0.5.3-1.mga5
+ Revision: 806853
- imported package python-docker-py

